Description

The "Limit connections" option should allow to apply the limit to streams only (or allow to choose that behavior).

If a user is limited to 1 connection:
- Using the webui is 1 connection then it can't play channels using the "live tv" (or vic)

- Using android tv apps (example TVHClient) the htsp connection uses 1 connection and then it can't start streaming channels with

the external player.
Doesn't it make sense to apply the "Limit connections" to streaming only?

Or add a new config option "Stream limit connection" for that purpose
Example: we could set the "Limit connections" to 5 and "Stream limit connections” to 1

Associated revisions

Revision ¢53ff729 - 2018-10-24 17:57 - Jaroslav Kysela

tep: fix wrong used variable initialization, issue #5290

Revision 860fb782 - 2018-10-24 17:57 - Jaroslav Kysela

tep: fix wrong used variable initialization, issue #5290

Revision ed33294f - 2018-10-30 18:55 - Jaroslav Kysela

htsp server: improve the htsp streaming connection limit check, issue #5290

History

#1 - 2018-10-24 17:06 - Luis Alves

Also the error message doesn't seem right:

2018-10-24 16:03:13.332 [ ERROR] tcp: multiple connections are not allowed for user
, Streaming limit 1, active streaming 21, DVR 0)

What does "active streaming" mean? Why is it 21?
(I have the "Limit conection" set to 1 on this user)

#2 - 2018-10-24 19:07 - Luis Alves

The webui case is not valid - re-tested and it doesn't count as a connection.

'xxx'

from

'xxx'

(limit 1

But switching channels on the webui gives and error when limit=1 (I assume that it's due to when the new channels starts to play, it still has the

stream count=1 somehow).

Anyway, the error message seems wrong on the "active streaming" number.

#3 - 2018-10-24 19:17 - Luis Alves

For the second case, I've suggested TVHClient developers to close the htsp connection before starting the http channel stream.

Besides the weird number on the "active streaming" this issue | would just like to ask if it's possible to add a config option to restrict the connection nr

to the same IP?
Example:

Limit connections - max nr of streaming connections
Same IP - When checked, the max nr of connections are restricted to the same IP address
| would like to allow a user to be able to watch channels on 2 clients but avoid the user to share the access with someone else.

#4 - 2018-10-24 20:00 - kodiaq kodiaq

+1

#5 - 2018-10-30 19:58 - Jaroslav Kysela

Please, retest with v4.3-1507-ged33294f9 . The HTSP connections should be moved to the 'streaming' limit only when the client asks for a A/V data
with this update. Otherwise, the connections are visible as non-streaming in the status tab. We can think to limit the all simultaneous HTTP / HTSP
connections now (security reason).

#6 - 2018-10-30 21:36 - kodiaq kodiaq

@Jaroslav - Works as expected for both http and htsp connection types. But as you've mentioned, unlimited amount of connections can be made now
to the server accounts, so Tvh may become easy target for attackers without firewall rules properly setup.

#7 - 2018-10-31 07:11 - kodiaq kodiaq

@Jaroslav - I've noticed issue with this new streaming watchdog. On few users streaming (htsp) shows 1 even though user stopped watching station
long time ago.
